System.Runtime.Serialization 4.0.0.0 System.Exception

An instance of this type will be thrown if the or detects that the type of the instance being serialized or deserialized is invalid. An instance of this type will also be thrown if an invalid type is passed to the schema import or export engine.

The exception that is thrown when the or encounters an invalid data contract during serialization and deserialization.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified error message.

  A description of the error.
- Constructor
  4.0.0.0

  This constructor is used in deserialization by one of the formatters in the namespace.

  Initializes a new instance of the class with the specified and .

  A that contains data needed to serialize and deserialize an object.
  A that specifies user context during serialization and deserialization.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified error message and inner exception.

  A description of the error.
  The original .